新手问题 本地搭建 Ruby-China 开发环境

pynix · 发布于 2014年5月22日 · 最后由 pynix 回复于 2014年5月23日 · 1758 次阅读
9800

按照github README一步一步来都没有问题,就是有几个gem是使用github安装的,clone的时候实在太慢了。。

共收到 12 条回复
7733
yukihiro_matz · #1 · 2014年5月22日

--depth

3472
search · #2 · 2014年5月22日
9800
pynix · #3 · 2014年5月22日

#1楼 @yukihiro_matz 这个参数干什么的?

7733
yukihiro_matz · #4 · 2014年5月22日

#3楼 @pynix git clone REPO_PATH --depth=1

9800
pynix · #5 · 2014年5月22日

#4楼 @yukihiro_matz 噢,我查查。。。

9800
pynix · #6 · 2014年5月22日

不使用框架吧。全部手写太累,兼容性方面也很难保证。 使用框架吧,框架为你做的太多,有时候连改哪都找不到。

还是用mixin型的框架,这样成本小一些,至少你知道是怎么回事。。。。

9800
pynix · #7 · 2014年5月22日

rubychina的代码真的不适合学习用。。。。

13125
qifengle · #8 · 2014年5月22日

#7楼 @pynix 嗯,是的,,建议discourse 吧。。

9162
cassiuschen · #9 · 2014年5月22日

#8楼 @qifengle discourse更加不建议学习用……且不说discourse的部分功能都已经独立成gem了…单就ember.js看得都头大……

9800
pynix · #10 · 2014年5月22日

#9楼 @cassiuschen 对立成gem就好办了,感觉rubychina就是在搭积木。

96
wcp1231 · #11 · 2014年5月22日

我想说LZ头像不错。。。

9800
pynix · #12 · 2014年5月23日

#11楼 @wcp1231 刚刚做的。。。

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册